/*
  Windows Sockets FTP Application

  Written by: John A. Junod            Internet: <junodj@gordon-emh2.army.mil>
              267 Hillwood Street                <zj8549@trotter.usma.edu>
              Martinez, GA 30907     Compuserve: 72321,366 

  This program executable and all source code is released into the public
  domain.

  MODULE: WS_GLOB.H  (global header file)
*/

#ifndef WS_GLOBHEADER

#define WS_GLOBHEADER

#include "winsock.h"

#ifndef INADDR_NONE
#define INADDR_NONE 0xffffffff
#endif

#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 64
#endif

#ifndef MAXPACKET
#define MAXPACKET 4096
#endif

// some miscellaneous definitions that we use

#define bcopy(a,b,c) memcpy(a,b,c)
#define bzero(a,b) memset(a,0,b)
#define FTP_COMPLETE 2
#define FTP_CONTINUE 3
#define FTP_ERROR    5
#define FTP_PRELIM   1
#define FTP_RETRY    4

extern char *destdotaddr;
extern char *hostname;
extern char *pname;

extern char szAppName[20];
extern char szFormName[10];
extern char szModeName[10];
extern char szMsgBuf[4096];
extern char szString[128];
extern char szStructName[10];
extern char szTmpFile[40];
extern char szTypeName[10];

extern char cForm;
extern char cMode;
extern char cType;

extern char dlg_prompt[80];
extern char dlg_edit[80];
extern char hnamebuf[MAXHOSTNAMELEN];
extern char lhostname[MAXHOSTNAMELEN];
extern char mapin[];
extern char mapout[];
extern char ntin[];
extern char ntout[];
extern char passwd[80];
extern char pinghost[80];
extern char rhostname[80];
extern char userid[20];

extern GLOBALHANDLE hGMem[100];

extern HCURSOR hWaitCursor, hStdCursor;
extern HWND hInst;
extern HWND hWndMain;

extern int bBell;
extern int bConnected;
extern int bCmdInProgress;
extern int bCRstrip;
extern int bDoGlob;
extern int bHash;
extern int bInteractive;
extern int bMCase;
extern int bRecvUniq;
extern int bSendPort;
extern int bStorUniq;
extern int bVerbose;

extern int iCode;

extern int mapflag;
extern int npackets;
extern int nreceived;
extern int ntflag;
extern int ntransmitted;
extern int packsize,ident,datalen;
extern int ptrhGMem;
extern int timing;

extern SOCKET sockfd;
extern SOCKET ctrl_socket;

extern struct hostent far *host;
extern struct protoent far *proto;
extern struct sockaddr dest;
extern struct sockaddr_in sin;
extern struct sockaddr_in dsin;
extern struct sockaddr_in saCtrlAddr;

extern u_char sendpack[MAXPACKET];

extern WORD sVPos;

extern WSADATA WSAData;

#endif /* if WS_GLOBHEADER */
